hdflag=0;options.defaultValue("HD")=0;if (options("HD")){options("HD")=1-options("HD");toggleHD();}options.defaultValue("transparency")=1;makeTransparent(options("transparency"));

function refresh(){
	framework.system.perfmon.addCounter("\\Processor(_Total)\\% Processor Time","");
	cpuUsage=Math.floor(framework.system.perfmon.currentValue("\\Processor(_Total)\\% Processor Time"));
	if (cpuUsage>cpu.value) cpuCounter=1; else cpuCounter=-1;
	cpuGoTo();

	memoryUsage=Math.floor(framework.system.memory.used/framework.system.memory.total*100)
	if (memoryUsage>memory.value) memoryCounter=1; else memoryCounter=-1;
	memoryGoTo();

	wirelessUsage=framework.system.network.wireless.signalStrength;
	if (wirelessUsage>wireless.value) wirelessCounter=1; else wirelessCounter=-1;
	wirelessGoTo();

	batteryUsage=framework.system.power.percentRemaining;
	if (batteryUsage>battery.value) batteryCounter=1; else batteryCounter=-1;
	batteryGoTo();

	if (hdflag){
	framework.system.perfmon.addCounter("\\LogicalDisk(_Total)\\% Disk Time","");hdflag=1;
	hdUsage=Math.floor(framework.system.perfmon.currentValue("\\LogicalDisk(_Total)\\% Disk Time"));
	if (hdUsage>hd.value) hdCounter=1; else hdCounter=-1;
	hdGoTo();}
}

SetInterval("refresh()",1000);

function cpuGoTo(){
	if (cpu.value!=cpuUsage) {
		cpu.value+=cpuCounter;
		setTimeout("cpuGoTo()",10)
	} else 
		cpuLabel.innerText=cpuUsage+"%";
}

function memoryGoTo(){
	if (memory.value!=memoryUsage) {
		memory.value+=memoryCounter;
		setTimeout("memoryGoTo()",10)
	} else
		memoryLabel.innerText=memoryUsage+"%";
}

function wirelessGoTo(){
	if (wireless.value!=wirelessUsage) {
		wireless.value+=wirelessCounter;
		setTimeout("wirelessGoTo()",10)
	} else
		wirelessLabel.innerText=wirelessUsage+"%";
}

function batteryGoTo(){
	if (battery.value!=batteryUsage) {
		battery.value+=batteryCounter;
		setTimeout("batteryGoTo()",10)
	} else
		batteryLabel.innerText=batteryUsage+"%";
}

function hdGoTo(){
	if (hd.value!=hdUsage) {
		hd.value+=hdCounter;
		setTimeout("hdGoTo()",10)
	} else 
		hdLabel.innerText=hdUsage+"%";
}

function makeTransparent(x){
	x=1-x;
	cpu.emptyImage=(x)?"emptyProgressBarTransparent.PNG":"emptyProgressBar.PNG";
	memory.emptyImage=(x)?"emptyProgressBarTransparent.PNG":"emptyProgressBar.PNG";
	wireless.emptyImage=(x)?"emptyProgressBarTransparent.PNG":"emptyProgressBar.PNG";
	battery.emptyImage=(x)?"emptyProgressBarTransparent.PNG":"emptyProgressBar.PNG";
	hd.emptyImage=(x)?"emptyProgressBarTransparent.PNG":"emptyProgressBar.PNG";
}

pluginHelper.onAddCustomMenuItems = AddCustomMenuItems;
function AddCustomMenuItems(menu){
	menu.AddItem("Show/Hide Hard Disk usage", 0, toggleHD);
}

function toggleHD(){
	options("HD")=1-options("HD");
	if (options("HD")){hdflag=1;hdBackground.visible=true;hdLabel.visible=true;
	} else {hdflag=0;hdBackground.visible=false;hdLabel.visible=false;
		framework.system.perfmon.removeCounter("\\LogicalDisk(_Total)\\% Disk Time");
	}
	view.height=115+25*options("HD");
}